import { FormBuilder } from '@angular/forms';
import { _HttpClient } from '@delon/theme';
import { Component, OnInit } from '@angular/core';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { SharedModule } from '@shared/shared.module';

import { AccountComponent } from './account/account.component';
import { AccountEditComponent } from './account/account-edit/account-edit.component';
import { OrganizationComponent } from './organization/organization.component';
import { PipeModule } from '@core/pipe/pipe.module';
import { OrganizationEditComponent } from './organization/organization-edit/organization-edit.component';
import { ToolsService } from '@core/services/tools.service';
import { OrganizationService } from 'app/routes/systems/organization/organization.service';
import { AreacodeService } from '@core/services/areacode.service';

const routes: Routes = [
  {
    path: '',
    children: [
      { path: 'account', component: AccountComponent },
      { path: 'organization', component: OrganizationComponent }
    ]
  }
];

const COMPONENTS_NOROUNT = [ AccountEditComponent, OrganizationEditComponent ];

@NgModule({
  imports: [
    // 管道模块必须当前模块导入
    PipeModule,
    CommonModule,
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [
    ...COMPONENTS_NOROUNT,
    AccountComponent,
    AccountEditComponent,
    OrganizationComponent       
  ],
  providers: [ToolsService, OrganizationService, _HttpClient, FormBuilder, AreacodeService],
  entryComponents: COMPONENTS_NOROUNT
})
export class SystemsModule { }
